{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
  #{{ section.id }}_section {
     background-color: {{ section.settings.bg_color }};
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  #{{ section.id }}_section .gird-item{
    flex:1;
    padding:0px 10px;
  }
  #{{ section.id }}_section svg{
    max-height: 170px;
    min-height: 170px;
  }
  #{{ section.id }}_section .title{
    margin: 10px 0;
    font-family:auto;
    font-size:34px;
    color: #014550;

  }
  #{{ section.id }}_section .button-wrap{
    margin-top: 10px;
    text-align: center;
  }
  #{{ section.id }}_section .desc{
    font-size:16px;
    color: #014550;
  }
  #{{ section.id }}_section .desc a{
    text-decoration: underline;
    font-weight: 700;
    color: #02825c;
  }
  #{{ section.id }}_section .link-btn{
    font-size: 20px;
    color: #3cf084;
    background:  #014550;
    padding:10px 20px;
    border-radius: 44px;
    border: 1px solid #014550;
    transition: all .2s ease;
  }
  @media only screen and (max-width : 999px){
    #{{ section.id }}_section .title{
      font-size:28px;
    }
    #{{ section.id }}_section .link-btn{
      font-size:14px;
    }
    #{{ section.id }}_section .grids-wrap{
      flex-direction: column;
      align-items: center;
      gap: 40px;
    }
    #{{ section.id }}_section .gird-item {
      max-width: 400px;
    }
  }
{%- endstyle -%}

<section id="{{ section.id}}_section" style="background-color: {{ section.settings.ba_color }};">
  <div class="container">
    <div class="grids-wrap d-flex align-item-center">
      {% for block in section.blocks %}
        <div class="gird-item d-flex flex-column width-mobile-100">
          <div class="icon-wrap d-flex justify-content-center">
            {{ block.settings.icon }}
          </div>
          <div class="content-wrap">
            <h2 class="title center">{{ block.settings.title }}</h2>
            <p class="desc center">{{ block.settings.description }}</p>
          </div>
          <div class="button-wrap">
            <a class="link-btn" href="{{ block.settings.button_url }}">{{ block.settings.button_text }}</a>
          </div>
        </div>
      {% endfor %}
    </div>
  </div>
</section>

{% schema %}
{
  "name": "Featured icon text",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "header",
      "content": "Margin Setting"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding Setting"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "icon_and_text",
      "name": "Icon and content",
      "limit": 10,
      "settings": [
        {
          "type": "html",
          "id": "icon",
          "label": "Icon"
        },
        {
          "type": "text",
          "id": "title",
          "label": "Title Text"
        },
        {
          "type": "html",
          "id": "description",
          "label": "Description Text"
        },
        {
          "type": "header",
          "content": "Button Setting"
        },
        {
          "type": "text",
          "id": "button_text",
          "label": "Button Text"
        },
        {
          "type": "url",
          "id": "button_url",
          "label": "Button Url"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Featured icon text block"
    }
  ]
}
{% endschema %}
